Subject: Re: MPC5200b external interrupt registration problem

From: Michael Ellerman <[email-masked]>
Date: Sat, 10 May 2008 17:30:51 +1000

On Fri, 2008-05-09 at 14:02 -0500, Scott Wood wrote:
> On Fri, May 09, 2008 at 02:49:04PM -0400, Nick wrote:
> > I am writing a driver to service an interrupt from our fpga.  I am calling request_irq in the open
> > function of my driver.  The fpga is connected to external interrupt 1.  I am using interrupt
> > number 65 in the request_irq but the function is failing.
> 
> request_irq takes a virtual IRQ number, not a hardware IRQ number.  You
> need to get the virtual IRQ number from irq_of_parse_and_map(), or from
> irq_create_mapping().
> 
> This would probably confuse far fewer people if we used pointers in the
> API rather than virtual IRQ numbers...

I'll do the core changes if you fix all the drivers .. ;)

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person